| Elemento | Tipo | Descrição |
|---|---|---|
| url | string | Url de callback. |
| events | Array::string | Tipo de evento do webhook. "pix_pagar", "pix_receber" ou "boleto_paid" |
| authorization.type | string | Tipo de evento do authorization type. "basic" ou "bearer" |
| authorization.value | string | Valor da autenticação. |
curl --location --request POST 'https://api.valut.baas/webhooks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"url":"https://webhook.site/11cf9f4d-ac1f-4c60-9bd9-761131735407",
"events": ["pix_receber", "pix_pagar"],
"authorization": null
}'{
"webhook_id": "743faa84-0479-4fd3-8e56-94f2349b836a",
"url": "https://testeauth.brasilcash.com.br",
"events": [
"pix_pagar",
"pix_receber"
],
"has_authorization": true,
"authorization": {
"type": "basic",
"value": "213"
},
"created_at": "2022-05-02T16:47:30.8264103-03:00",
"is_active": true
}